          Oxygen Phone Manager for Symbian OS smartphones - What's New.
          =============================================================

Changes in version 2.18.23 (09 November 2010):
==============================================
  - Added preliminary support for Sony Ericsson U1a and Sony Ericsson U1i.
  - Added preliminary support for Sony Ericsson U5a, Sony Ericsson U5at and Sony Ericsson U5i.
  - Added preliminary support for Sony Ericsson U8a and Sony Ericsson U8i.
  - Minor internal improvements.

Changes in version 2.18.22 (03 September 2010):
==============================================
  - Added support for Nokia 5250 (RM-684).
  - Added support for Nokia 5228 and Nokia 5232.
  - Registration. Fixed problem with the new key code request when application uses Italian language.
  - Minor internal improvements.

Changes in version 2.18.21 (21 July 2010):
=========================================
  - Added support for Nokia C5-00 (RM-688) and Nokia C5-01 (RM-677).
  - Added support for Nokia X5-01 (RM-648).
  - Minor internal improvements.

Changes in version 2.18.20 (21 June 2010):
=========================================
  - Added support for Nokia X5-00 (RM-627) and Nokia X5-01 (RM-678).
  - Added support for Nokia E5-00 (RM-634).
  - Added support for Nokia E73 Mode (RM-658).
  - Improved support for Nokia X6 models.
  - Minor internal improvements.

Changes in version 2.18.19 (20 May 2010):
=========================================
  - Added support for Nokia E5.
  - Added support for Nokia C6 (RM-612) and Nokia C6 (RM-624).
  - Minor internal improvements.

Changes in version 2.18.18 (16 March 2010):
===========================================
  - Added support for Nokia C5.
  - Added support for Nokia X6 (RM-552).
  - Added support for Nokia 6788 (RM-636).
  - Minor internal improvements.

Changes in version 2.18.17 (08 February 2010):
==============================================
  - Added support for Nokia X6.
  - Minor internal improvements.

Changes in version 2.18.16 (05 January 2010):
=============================================
  - Added support for Nokia 6700 slide.
  - Added support for Nokia 5230 (RM-629).
  - Added support for Nokia 5233.
  - Minor internal improvements.

Changes in version 2.18.15 (08 December 2009):
==============================================
  - Added support for Nokia 5230 (RM-593).
  - Added support for Nokia 6788.
  - General. OxyAgent for Series 60 v3/5 and for UIQ3 devices is certified now. There is no longer need to allow unsigned applications installations anymore. Please, uninstall previous version of OxyAgent before loading new one.
  - Minor internal improvements.

Changes in version 2.18.14 (05 October 2009):
=============================================
  - Added support for Nokia 6790 slide.
  - Added support for Nokia E63-5 and Nokia E72-5.
  - Minor internal improvements.

Changes in version 2.18.13 (07 September 2009):
==============================================
  - Added support for Nokia N97 mini.
  - Added support for Nokia 5230 XpressMusic.
  - Minor internal improvements.

Changes in version 2.18.12 (04 August 2009):
============================================
  - Added support for Nokia 5530 XpressMusic.
  - Added support for Nokia 6760 slide and Nokia 6790 Surge.
  - Added support for Samsung GT-i8510 (INNOV8) and Samsung GT-i8910 (OMNIA HD).
  - Added preliminary support for Windows 7.
  - Minor internal improvements.

Changes in version 2.18.11 (30 June 2009):
==========================================
  - Added support for Nokia E72 and Nokia 6730 classic.
  - Improved support for Nokia E52, Nokia N97 and Nokia 5730 XpressMusic.
  - General. Total number of supported phones exceeds 200 models now!
  - Minor internal improvements.

Changes in version  2.18.10 (26 May 2009):
==========================================
  - Added support for Nokia E52, Nokia E55 and Nokia E75.
  - Added support for Nokia N86 and Nokia N97.
  - Added support for Nokia 5630 XpressMusic, Nokia 5730 XpressMusic.
  - Added support for Nokia 6710 Navigator and Nokia 6720 Classic.
  - Phonebook. Added support for Big Photo and Notify Text field. 
  - Minor internal improvements.

Changes in version  2.18.9 (19 December 2008):
==============================================
  - Added support for Nokia 5800 XpressMusic and Nokia E63.
  - Improved connectivity support for Nokia E66.
  - General. When closing OxyAgent for Series 60 v3 after Bluetooth session it opens Bluetooth settings offering to switch it off. 
  - Messages. Fixed problem with loading section data raised while GMT related conversions. 
  - Minor internal improvements.

Changes in version  2.18.8 (14 November 2008):
==============================================
  - Added support for Sony Ericsson G702 and Sony Ericsson G700 Business Edition.
  - Added support for Nokia N79-3, Nokia 6650, Nokia N79, Nokia N85 and 5320 XpressMusic.
  - Connection. Fixed problem with installation of OxyAgent application into Symbian Series 60 3rd edition and Symbian UIQ3 devices.
  - Connection. Fixed problem with phone disconnection while Bluetooth data transfer.
  - Gallery. Fixed problem with writing 1024-fold files.  
  - Phonebook. Field Pager is now available for Sony Ericsson P910i.
  - Messages. Fixed problem GMT time displaying.

Changes in version 2.18.7 (07 August 2008):
===========================================
  - Added support for DoCoMo NM706i - Nokia 6124 prototype.
  - Improved support for Sony Ericsson G900i.
  - Messages. Fixed problem which occurred while opening a context menu in folders without messages. 
  - Minor internal improvements.

Changes in version 2.18.6 (03 July 2008):
=========================================
  - Added support for Nokia 5320 ExpressMusic and Nokia E66.
  - Improved support for Nokia 6210 Navigator, Nokia 6220 Classiń and Sony Ericsson G700i.
  - Minor interface and internal improvements.

Changes in version 2.18.5 (26 May 2008):
========================================
  - Added support for Sony Ericsson G700i and Sony Ericsson G900i.
  - Added preliminary support for Nokia E71 and Nokia 6650.
  - Phonebook. Improved support for contacts pictures in UIQ3 devices.
  - Phonebook.  Fixed problem when a current date was displayed in an empty Anniversary field in UIQ3 devices.
  - Calendar. Fixed problem when an alarm sound was assigned for calendar events instead of a calendar signal in UIQ3 devices.
  - Calendar. Fixed problem which occurred while reading of a great amount of events.
  - Messaging. Fixed problem with a wrong data sorting in the "Correspondence" report.
  - Gallery. Fixed problem with reading file structure from Series 80 devices.
  - Minor interface and internal improvements.

Changes in version 2.18.4 (23 April 2008):
==========================================
  - Added support for Nokia 6124 Classic, Nokia 6220 Classic, Nokia N78 and Nokia N96. 
  - Added preliminary support for Sony Ericsson G900i.
  - Connectivity. Improved support for the latest Nokia cable drivers.
  - Messaging. Fixed problem when for smartphones  under Symbian OS v9.x messages time displayed according to GMT.
  - Minor interface and internal improvements.

Changes in version 2.18.3 (11 April 2008):
==========================================
  - Phonebook. Improved data loading from Oxygen Phone Manager II for Nokia and Vertu phones phonebook backup files (*.PB2). Added support of Job title, Extended address, City, Region, Zip code, Country, Prefix, Nickname, Birthday fields.
  - Phonebook. Fixed problem with an Assistant Phone which was displayed in General phones.
  - Messaging. Fixed problem with reading all the messages when information about messages hasn't been read.
  - Messaging. Fixed problem when it was impossible to delete messages assigned to Disc.
  - Messaging. Fixed problem occurred while pressing a right mouse button in an empty window of the messages list. 
  - Localization. Fixed problem occurred while reading MMS information in a Hungarian interface.
  - Minor interface and internal improvements.

Changes in version 2.18.2 (03 March 2008):
==========================================
  - Licensing. Symbian UIQ3 smartphones are available for registration in Individual license now.
  - Improved support for Nokia N82 and Nokia N95 8 Gb.
  - Added preliminary support for Nokia N78, Nokia 6210 Navigator, Nokia 6220 Classic.
  - Connectivity. OPMAgent application renamed to OxyAgent. 
  - Connectivity. Bluetooth connection is now permanently available on PC-to-Phone basis. Please, ensure that you update OxyAgent in your smartphone.
  - Calendar, Export. Fixed problem with Monthly report.
  - Messaging. Fixed problem with message folders.
  - Minor interface and internal improvements.

Changes in version 2.18.1 (25 January 2008):
============================================
  - Added support for Nokia E51-2.
  - Improved support for Samsung i450, Samsung i520, Samsung i550, Samsung i560 and Samsung i570.
  - Messaging. Improved handling of messages attachments.
  - Minor interface and internal improvements.

Changes in version 2.18 (06 December 2007):
===========================================
  - Added preliminary support for Nokia N82.
  - Added preliminary support for Samsung i450, Samsung i520, Samsung i550, Samsung i560 and Samsung i570.
  - Improved support for Nokia N95.
  - Licensing. Introduced Subscription for Oxygen Phone Manager for Symbian Smartphones. See more details on www.oxygensoftware.com. 
  - Phonebook. General numbers became available for normal edit now. 
  - Log Records. Fixed problem with adding number to existing contact in phonebook.
  - Messaging. Fixed problem with slow motion in e-mail folders.
  - Messaging. Fixed problem with missing number of sender after restoring messages.
  - Application Manager. Fixed problem with unsaved column sizes in applications list.
  - Minor interface and internal improvements.

Changes in version 2.17 (31 October 2007):
==========================================
  - Added support for Nokia E51 and Sony Ericsson W960i.
  - Improved support for Nokia 5700, Nokia 6290 and Nokia N77.
  - Connectivity, Options. Added option "Outgoing PC-to-phone bluetooth connection" to set your PC as bluetooth client and the phone as the bluetooth server. 
  - Export, Options. Added option "Use old export formats" to enable non templated export mode back.
  - Gallery. Improved support for M4A files.
  - Phonebook. Fixed problem with Anniversary field allowable values.
  - Phonebook. Fixed problem with exporting Anniversary field to external files.
  - Phonebook. Fixed problem with exporting non numeric fields for Series 60 3rd Edition smartphones.
  - Calendar. Fixed problem with restoring Tasks and Reminders.
  - Calendar, Planner. Fixed problem with non displayed Reminders for UIQ3 phones.
  - Messaging. Fixed problem with restoring messages and their dates from backup file.
  - Messaging, Export. Fixed problem with exporting "To:" field.
  - Gallery. Fixed problem with detecting large flash cards size.
  - Gallery. Fixed problem with folder tree in file saving dialog.
  - Minor interface and internal improvements.

Changes in version 2.16 (13 September 2007):
============================================
  - Added support for Motorola MOTORIZR Z8.
  - Added support for Nokia N80-2, Nokia N81-1, Nokia N81-3 and Nokia N81-5.
  - Phonebook. Added support for Spouse, Children, Anniversary, Assistant, Assistant Phone, Department and Car phone fields in VCard.
  - Messaging. Added Ctrl+Enter hot key to send text message.
  - Minor interface and internal improvements.

Changes in version 2.15.1 (29 August 2007):
===========================================
  - Improved support for Sony Ericsson P1i and Sony Ericsson P1c.
  - Added support for Nokia N95-3.

Changes in version 2.15 (15 August 2007):
=========================================
  - Added support for Nokia N76-5, Nokia N77-5, Nokia N92-2, Nokia N95 (8Gb) and Nokia 6121 classic.
  - Phone information. Phone screenshots can be saved to BMP, JPG and GIF files now.
  - Calendar. Added ability to import Birthdays from Phonebook for UIQ3 phones.
  - Log records. Added ability to sort contacts list in "Add to phonebook"|"Existing contact" dialog. 
  - Calendar. Tasks are saved correctly to Backup file now.
  - Connectivity. Fixed problem with Microsoft Bluetooth drivers appeared when there were more than one devices in use.
  - Calendar. Fixed problem with restoring Reminders to UIQ3 phones.
  - Gallery. Fixed problem with Melodies file type detection.
  - Application Manager. Added additional connection check during data reading.
  - Minor interface and internal improvements.

Changes in version 2.14.5 (18 June 2007):
=========================================
  - Added support for Sony Ericsson P1i, Sony Ericsson P1c and Samsung i400.
  - Added Backup and Restore wizards. Current version supports operations within single model on a limited number of sections.
  - Export. Fixed security bug allowed to export data from password protected phones.
  - Calendar. Fixed problem with incorrect alarm set during birthdays export from phonebook.
  - Calendar. Fixed problem with incorrect event counter in status bar for latest models.
  - Gallery. Added support for WMA and MXMF files.
  - Phonebook. Fixed problem with exporting empty phonebook to Microsoft Excel.
  - Messages. Fixed problem with restoring messages from an OSB file.
  - Messages. Fixed problem with Favourites not being saved.
  - Application Manager. Fixed problem with stopped progress bar during reading all data.
  - Minor interface and internal improvements.

Changes in version 2.14 (10 May 2007):
======================================
  - Added preliminary support for Nokia 5700, Nokia 6110 Navigator, Nokia 6120 Classic.
  - General. Added "Load all phones information from disk when program starts" option. Turning it off you can speed up the startup procedure of the program - certain phone data will be loaded once you require to work with it only.
  - General. Added ability to print reports from any section.
  - Phone information. Added ability to get screenshot from the smartphone for Nokia Series 60 v3 models.
  - Phonebook. Option "Show combined address fields" is active by default now.
  - Phonebook, VCard. Photo information panel shows dimensions and color depth now.
  - Messages. Reports contain sender name and phone number now. 
  - Phonebook. Fixed problem with contact update failure for the heavy contacts database.
  - Application Manager. Fixed problem with toolbar active after the phone disconnection.
  - General. Fixed AV after deleting phone from the program.
  - Other. Fixed problem with non-removed temporary files on program exit.
  - Minor interface and internal improvements.

Changes in version 2.13 (05 March 2007):
========================================
  - Added support for Nokia E61i, E65, N76, N93i.
  - Added preliminary support for Nokia 6290, E62, E90, N77, N95.
  - Improved support for Nokia 5500, N71.
  - Added support for Windows Vista.
  - Phonebook, Calendar. Added support for Microsoft Outlook 2007 import and export functionality.
  - Licensing. "Import/Export option" is now available for separate purchase (in your personal customer area). The option enables data import/export functionality in the licenses below Business.
  - Oxygen Forensic. All extracted data can be saved to a single report file now.
  - Oxygen Forensic. Improved Unicode support in output reports.
  - Phone information. Added ability to get screenshot from the smartphone (except Nokia Series 60 v3 models).
  - Application Manager. Added support for Nokia Series 60 v.3 and UIQ3 smartphones.
  - Application Manager. The speed of data transfer is greatly improved.
  - Data export. Unicode support is significantly improved while exporting data. 
  - Data export. Added ability to export data to image files.
  - Data export. Visual changes in all export formats.
  - Data export. It is possible to export a single entry now by choosing corresponding item in popup menu.
  - Data export, Calendar. Added new "Month" report that exports data as printable monthly calendar.
  - Data export, Messages. Added "Correspondence" report that exports messages flow sorted by name and arrival time. 
  - Added new dialog window which suggests reading all data after a new phone was connected.
  - Phonebook. Added F3 shortcut for "Find next" item.
  - Phonebook. Now Ctrl+R shortcut is responsible for Find/Replace actions.
  - Phonebook. Now Ctrl+W shortcut is responsible for writing changed items.
  - Installation Wizard. Added window for opm.key file. Now it is possible to enter the key while program installation.
  - General information. Program checks phone images mapping file (mapping.dat) availability before accessing it.
  - Phonebook. Fixed problem with an empty Speed dials panel when it was minimized on another phone.
  - Phonebook. Fixed problem with a Speed dials panel for UIQ3 phones when it was shown in two lines.
  - Messages. Fixed problem with an attachment identification for Symbian9 smartphones.
  - Messages. Fixed problem when it was not possible to save messages to file.
  - General. Files upload is more correct now.
  - Minor interface and internal improvements.

Changes in version 2.12 (05 December 2006):
===========================================
  - Added support for UIQ3 phones: Sony Ericsson M600i, M608c, P990i, W950i, W958c. Data management (Phonebook, Calendar, Messages, Gallery) is available in licenses starting from Family.
  - Phonebook. Added ability to save and load contacts and groups to single file (*.pbc).
  - Phonebook, VCard. Melodies and Pictures lists are sorted by file name for better convenience now. Full path is shown in brackets after the names.
  - Phonebook. Added ability to set default Push-to-Talk and VoIP using popup menu.
  - Calendar. Exporting events to Lotus Notes is available now.
  - Messaging. Added ability to save and load messages from file. Note that due to phone limitations incoming messages will be loaded as outgoing keeping their folder placement.
  - Options, Phonebook. New option "Highlight incorrect items" added. If enabled program checks contacts and reports if any number exceeds maximum length. Disabling option may speed up drawing speed of the phonebook grid a lot.
  - License Administration. New feature for Administrators - ability to prevent phone registrations by end users on their PCs. Functionality is available for Business and higher licenses.
  - Multilingual support. Polish language file updated.
  - General. Fixed problem with possible failure when loading phone image.
  - General. Fixed problem with reading disk volume exceeding 4Gb.
  - Phonebook. Maximum picture size limitation increased to 96Kb.
  - Phonebook. Due to phone limitations removed ability to clear Voice Tags for Symbian 9 models (Nokia E60, etc). 
  - Phonebook, VCard. Fixed problem with wrong photo resize when white borders could appear around the image.
  - Phonebook, VCard. Fixed problem when number type was not saved after edit.
  - Phonebook. Fixed problem with unsaved column order in grid. 
  - Calendar. Fixed problem when todo entries could be deleted while uploading calendar events in phones with separate Todo and Calendar sections.
  - Minor interface and internal improvements.

Changes in version 2.11.5 (20 October 2006):
============================================
  - Phonebook. Added ability to schedule meeting directly from the phonebook.
  - Phonebook. Popup menu item "Schedule birthday reminder" moved from "Number" to "Contact" menu part.
  - Calendar. Importing events from Lotus Notes is available now.
  - Application manager. Added preliminary support for Nokia Series 60 3rd Edition.
  - Interface. Added ability to hide "Phone explorer" from the screen to enlarge work space.
  - Connectivity. Improved algorithm that checks PC communication capability for better detection. 
  - Synchronization. Improved Microsoft Outlook installation detection routine.
  - Licensing. Import and export functions available in licenses starting from Business now.
  - Messaging. "Request delivery report" check removed from the "New short message" form as it is ignored by the device afterwards.
  - Gallery. Significant speed improvement while reading data from disk at program start.
  - Calendar. Fixed problem with empty events appeared in the program that caused by the sync problems in PC Suite. 
  - Calendar. Fixed problem with 1980 year anniversary limitation for Series 60 3rd Edition smartphones.
  - Calendar. Fixed problem with not working "Save selected" button in Planner view.
  - Calendar. Alarm and Location fields are visible for Series 80 and Series 90 models now.
  - Calendar. Description field added for Series 80 and Series 90 models now.
  - Tasks. Fixed problem when Alarm could appear active for some tasks without alarm after reading them from phone. 
  - Forensic Edition. Contacts are sorted in alphabetical order now.
  - Options. Settings are applied and take the effect much faster now.


Changes in version 2.11 (12 September 2006):
============================================
  - Added support for Nokia 5500 and Nokia E50.
  - Calendar. Added support for Nokia Series 60 3rd Edition.
  - Multilingual support. Added Italian language support in installation wizard and the program itself.
  - Phonebook. Creating contacts without a name is allowed now.
  - Calendar, Options. "Mark today events with bold" setting appeared.
  - Calendar. Added ability to sort events by Recurrence field.
  - Calendar. Recurrence end date is now exported and imported correctly to Microsoft Outlook.
  - Calendar. Alarm time is saved in external files during export.
  - Todo list. To-do Alarm time is exported and imported to Microsoft Outlook now.
  - Messages. Added ability to read attachments double-clicking on them.
  - Gallery. Added ability to load and save MP4, MA4 and M4A files.
  - Interface. New buttons "Help" and "Support" appeared on sections toolbars.
  - Interface. "Visit my personal page" menu item appeared in "Help" for more convenience.
  - Forensic Edition. Added restriction to create tags with the same names.
  - Options. "Calendar" page redesigned slightly.
  - Large images for E61 and E70 are shown correctly now.
  - Phonebook. Fixed interface problem when it was not possible to set default Video Call and VoIP.
  - Phonebook. Fixed problem with Copy/Paste operations for Unicode fields.
  - Phonebook. Fixed problem with clearing voice tags for N-Series S60 2nd Edition models.
  - Calendar. Fixed problem with line feed characters in displaying multiline text and during export.
  - Calendar. Fixed problem with updating event fields after re-importing it from Microsoft Outlook.
  - Messages. Fixed problem with loading messages from corrupted file.
  - Options. Fixed problem when unapplied options had an effect on the program.
  - Minor interface and internal improvements.

Changes in version 2.10 (25 July 2006):
=======================================
  - Software certification. Phone agent successfully passed Symbian Signed Certification for S60 3rd Edition smartphones and received "for Symbian OS" logo.
  - Oxygen Phone Manager becomes the first PC software certified by Nokia authorized service centers.
  - Added support for Nokia 3250, E60, E61, E70, N71, N72, N73, N80, N91 and N93 (except Calendar section).
  - Forensic Edition. Added Forensic Export Wizard and Forensic Administration section.
  - Phonebook, Messaging. Program warns about billable events like sending messages before the event now.
  - Log Records. Added ability to export Log to external file in PDF, RTF, plain text and other formats.
  - Phonebook. Internet/3G page on VCard extended with new fields: Internet Phone, Share View, SIP, PTT.
  - Phonebook. Added ability to set default PTT and Internet Phone attributes.
  - Gallery. Added ability to stop the process of reading files information.
  - Calendar, Planner. Newly created event start date corresponds selected day in planner now.
  - Calendar. Outdated event handling applies to visible events only. 
  - Log Records, Application manager. The sections use global program font settings now.
  - Phonebook. Separate First Name and Last Name fields are handled correctly while loading PB2 files (Oxygen Phone Manager for Nokia phones phonebook file)
  - Added ability to resize columns with double click on header column borders in all sections.
  - Application manager. Size unit depends on the file size value now. 
  - Messaging. Attachment icons correspond the icons set in operating system.
  - Messaging. Added ablity to sort messages by storage type.
  - Phone agent. Improved OxyAgent interface.
  - New program icons were added to the main file. See EXE file properties sheet.
  - Log Records. Fixed problem with possible loading failure at program start.
  - Phonebook. Fixed problem with creating contacts without a name that caused data mess.
  - Phonebook. Fixed problem with adding new numbers when their type changed from Home to Business or General.
  - Calendar. Fixed problem with alarms set long before the event starts.
  - Fixed fake antivirus warning for oreans32.sys file. 
  - Gallery. Fixed problem with deleting file while editing its name.
  - Fixed problems with EAssertionFailed and EInvalidOperation errors.
  - Minor interface and internal improvements.


Changes in version 2.9 (18 May 2006):
=====================================
  - Added support for Nokia 6682.
  - New section - "Application Manager" - allows you to manage applications and games: get complete list, run and install new applications. Section supports both Symbian and Java applications.
  - Log Records. Added GPRS traffic counter information.
  - Messaging. You can add sender's phone number to any existing contact using pop-up menu now.
  - Phonebook. Now you can easily drag-n-drop contacts to current phone groups: left mouse button moves contact to the group, right - assigns new one saving old assignment.
  - Phonebook. Columns auto-size function takes into consideration default numbers width now.
  - Gallery. Improved hot flash card change handling for communicators.
  - Phonebook. Fixed bug with creating contacts without a name in Series80/90.
  - Log Records. Fixed bug appeared when log had events longer than 24 hours.
  - Calendar. Fixed bug with long Notes in SonyEricsson and other UIQ phones.
  - Calendar. Fixed bug with status bar size when using large fonts.
  - Gallery. Fixed bug with "No active section selected" window appeared after closing Options.


Changes in version 2.8 (20 April 2006):
=======================================
  - Added new section - "Log records". View and operate calls, messages, traffic logs from PC easily. (Not supported for UIQ phones).
  - Calendar. Added Outdated events handling. Events that won't occur in future are highlighted and can be deleted at once now.
  - Added DKU-2 connection for Nokia 9300i.
  - Forensic edition. Workplaces licensing implemented.
  - Phonebook. Added ability to dial selected number. See pop-up menu item "Number" -> "Call" (Not supported for UIQ phones).
  - Options, Phonebook. Newly created contacts use "Default full name format" setting now.
  - Messaging. Added sorting by sender name.
  - Options, Messaging. Added "Export" section to define CSV file format.
  - OPM Connection Agent. "About" screen added.
  - Calendar. Added event location check during search process.
  - Gallery. Real Media files are shown both in Sounds and Video sections now.
  - Trial version. Now program warns if its version is obsolete and suggests to download the latest one.
  - Windows ME is not officially supported now.
  - Phonebook. Prohibited scaling of Note editor in VCard.
  - Gallery. Files are enumerated from 1 now (not from 0 as it was before).
  - Phonebook. Fixed bug with reading General Mobile field label.
  - Phonebook. Fixed bug with consecutive contacts copying.
  - Phonebook. Fixed problem with shortcuts for contacts copying.
  - Messaging. Fixed bug with wrong number added to a contact created from the section.
  - Messaging. Fixed bug with Favorites window for the phones with large number of contacts.
  - Calendar. Fixed bug with Active Time when start value set later than end value.
  - Gallery. Fixed bug with deleting huge number of files.
  - Gallery. Fixed rare bug when it was impossible to rename a folder.

Changes in version 2.7.8 (16 February 2006):
===========================================
  - Added support for Samsung SGH-D720, SGH-D720S, SGH-D728 and SGH-D730.
  - Added support for Sony Ericsson P802 and P910a.
  - Added cable connection support for Samsung models.
  - Register/Unregister phones window: Added "Send via Web" button. By clicking it register/unregister phones request sends to Oxygen Software web page that displays the new regitration key in several minutes. We recommend this way of registering phones to those customers who are experiencing problems with sending requests by e-mail.
  - Register/Unregister phones window: Now you can select "reply to" e-mail address using combo box.
  - Options, Phonebook import and export: "Delimiters" section has the new parameter - "Replace CR symbols in text fields with..." where you can customize the replacement string for CR (Enter) symbol when exporting data to CSV file. This parameter is also recognized during import from CSV file operation.
  - Phonebook: Now contacts are copied to clipboard in readable text format.
  - Phonebook: Caller group name field added to exported data.
  - Phone explorer(tm): "My Symbian phones" node renamed to "My smartphones".
  - Added "vCard file(s)..." item to the main menu, Phonebook - Export submenu.
  - "Request for resend registration code" item in Help menu is renamed to "Get my current registration key". Now it opens the web page with your current registration key.
  - Messaging: Displaying downloaded status for e-mail messages.
  - Italian, Croatian and Turkish translations are updated.
  - Windows 98 and Windows 98SE are not officially supported now.
  - Fixed flash cards support for Series 80 and Series 90 models.
  - Fixed multimedia folders support for flash cards.
  - Fixed bug with reading flash card ID. As a result fixed bug when the Gallery files were not saved on disk after reading from phone.
  - My phones: Microsoft Windows Mobile smartphones were not displayed in the list. Fixed.
  - Phonebook, Import from CSV file window: Last column (usually with Job title field) was not displayed. Fixed.
  - Gallery: Fixed big with removing subfolders.
  - Gallery: Fixed bug with adding pictures in Thumbnails view mode.
  - Gallery: Fixed bug with removing last file in Thumbnails view mode.
  - Gallery: Many other fixes for Thumbnails view mode.

Changes in version 2.7.7 (14 December 2005):
===========================================
  - Preliminary support for Nokia N80.
  - Added support for Windows x64.
  - Added support for Windows Vista beta.
  - Added support for VMWare/Virtual PC.
  - Phonebook: Added "Replace prefix..." popup menu item.
  - Phonebook: Now you can select visible columns using Phonebook table header popup menu.
  - Phone Explorer(tm), Phonebook: Added "Assorted" section. Only contacts having no caller group are displayed under this section.
  - Phonebook: Improved support for contact photos: larger pictures are allowed.
  - Changed data filtering in the Gallery for flash card: now all flash card folders are shown.
  - Phonebook: Fixed bug with agent crash when adding a contact to non-existing group.
  - Phonebook: Fixed AV bug with clearing DTMF contact field.
  - Fixed bug with sending e-mail messages when the default mail client is Lotus Notes.
  - Phonebook: Fixed bug with switching from Oxygen Phone Manager to another window when reading Phonebook.
  - Phone Explorer, Gallery: Fixed bug with displaying icons.
  - Gallery: Fixed bug with moving to first or last picture in Preview window.
  - Messaging: Fixed bug with Chinese SMS support.

Changes in version 2.7.6 (15 November 2005):
===========================================
  - Added support for Nokia N70 and Nokia N90.
  - Forensic version of Oxygen Phone Manager II for Symbian OS is available. This is a special software for Police Departments, Law Enforcement units and all government services that wish to use Oxygen Phone Manager II for investigation purposes. Forensic version has a unique difference from Oxygen Phone Manager II - it doesn't allow any data change in the program or the phone itself. Program allows to read data from the phone, save it to a file or export into any of supported formats. But no data can be changed.
  - Options, Common: Option "Suggest immediate backup when new phone connected" is removed.
  - Options, Common: Added new option - "Automatically synchronize phone's time with PC when connected".
  - Phonebook: Fixed bug in writing personal contact photos.
  - Phonebook: Fixed crashing Agent bug when multiple rewriting one contact during one program session.
  - Phonebook: Fixed bug in reading contacts from Nokia N70 and N90.
  - Gallery: Fixed bug with displaying Gallery contents after changing flash card to another one.
  - Gallery: Fixed bug with reading files from Series 80 and Series 60 models.
  - Fixed exception when clicking "Contact support" item in Help menu.
  - Fixed bug when selecting "Read all phone data" menu item when staying on some of phone sections (Phonebook, Calendar, etc).
  - Fixed bug when program hangs when exiting. Occured with IR connection type checked.
  - Fixed seldom "form is unknown" bug when switching between sections.
  - Fixed bug in several flash cards support in the Gallery.
  - Fixed bugs in German, Turkish and several other translations.
  - Fixed occasional bug when exiting from program.

Changes in version 2.7.5 (30 September 2005):
============================================
  - Added preliminary support for Nokia N70 and Nokia N90.
  - Added preliminary support for Windows Mobile smartphones. In this version only Phonebook section is supported. Please see WindowsMobile.txt file for more information and connection notes.
  - Now all phone data stored in \Data\Phones\Symbian subfolder for Symbian OS smartphones and \Data\Phones\WindowsMobile subfolder for Windows Mobile smartphones. When you start version 2.7.5 first time your data will be moved to new folders automatically.
  - Options, Phonebook: Added two new options: "Highlight non-moveable columns" and "Color for highlighting non-moveable columns".
  - Options: "SMS Manager" section was renamed to "Messaging".
  - Options, Messaging: Added "Confirm message deletion" option.
  - Phone Information: Now you can edit flash card name by double-click on flash card drive in "Logical drives" table.
  - Phone Explorer(tm) browsing speed significantly increased.
  - My Phones: "Model" column now contains not only internal phone model number, but retail model name too.
  - Gallery: Now flash card name is displayed in Gallery tree of Phone Explorer(tm).
  - Gallery: Double click on image in "Thumbnails" view mode now opens image preview window.
  - Gallery: Added "Level Up" button to easily move one directory up in files tree.
  - Gallery: Now warning message appears when saving several files to disk if the file with the same name already exists. You have an option to replace or leave the existing file.
  - Gallery: Added progress bar for loading images in "Thumbnails" mode.
  - Gallery: The column "Is downloaded" added to "List view" mode.
  - Messaging: Incremental search by name is now available in "Organize Favorites" window.
  - Phonebook: "Show/hide contact photos" button is removed from toolbar. Now photos are always displayed, like other fields.
  - Phonebook: Leading and trailing spaces are now allowed for "Find and Replace" operation in "Replace" string.
  - Phonebook: After changing sort column or order focused contact sometimes was disappeared from the visible screen area. Fixed.
  - Phonebook: Contact names were not affected by "Find and Replace" operation. Fixed.
  - Phonebook: Only last found item for contact was highlighted by "Find" operation. Fixed.
  - Phonebook: Fixed bug with clearing "Birthdays center" when deleting contacts items (phone numbers, e-mail addresses and others) from "My contacts" table.
  - Phonebook, VCard: Fixed bug with duplicating all Gallery images and melodies after changing flash card to a new one.
  - Phonebook, Messaging, Gallery: Fixed status bar drawing bug for non-standard system font sizes.
  - Gallery: Sort settings were not saved for "List view" mode. Fixed.
  - Gallery: Sometimes current folder node was not highlighted in Phone Explorer(tm). Fixed.
  - Gallery: After changing sort column or order focused item sometimes was disappeared from the visible screen area. Fixed.
  - Gallery: Fixed bug with preview and saving files in "Thumbnails" mode.
  - Gallery: Fixed bug with moving files between folders in "List view" mode.
  - Gallery: Fixed bug with focused item drawing in "List view" mode.
  - Gallery: Fixed bug with setting Phone Explorer(tm) focused node after files drag&drop operation.
  - Gallery: Fixed bug with displaying flash card contents after it was replaced by a new one.
  - Messaging: Fixed bug with loading messages data at startup.
  - Some stability and performance improvements.

Changes in version 2.7.1:
=========================
  - Options, Connection: Now it's possible to add custom Bluetooth ports to search phones. This feature may be helpful for non-standard Bluetooth drivers or for drivers not fully tested with Oxygen Phone Manager yet.
  - Phonebook: Improved contact creation and handling for UIQ phones.
  - Phonebook: Bookmarks panel is now Unicode-enabled.
  - Gallery: Added "Thumbnails" view mode. Switching between "Thumbnails" and "List" modes performed by "Views" button.
  - Gallery: Now if there are no files to view, "There are no files in this view" is displayed.
  - Gallery: When viewing images with internal image viewer, only downloaded images are displayed when using Previous/Next image buttons.
  - Messages: Improvements in receiving and reading new messages procedure.
  - Messages: Added Remote mailbox support for Nokia Series 80 and 90 phones.
  - Messages: Now it's possible to delete custom folders in Nokia Series 80 and 90 phones.
  - Messages: Now it's possible to remove mailboxes, except Remote mailbox.
  - Messages: Added ability to create custom subfolders in Nokia Series 80 and 90 phones.
  - Messages: Now you can save SMS messages with "Save content item" button.
  - Messages: Saving and restoring column sizes in Folders tree view.
  - Memory leak eliminated when connecting via Microsoft Windows XP Service Pack 2 native Bluetooth drivers.
  - Phonebook: Fixed bug with loading contacts from vCard file having incorrect symbols in its name.
  - Phonebook: Columns settings were not saved/restored properly. Fixed.
  - Phonebook: Individual contact full name format changes were not saved if there were no other changes. Fixed.
  - Fixed bug in loading data from disk at startup.
  - Messages: Fixed bug with setting Read/Unread flags for Nokia Series 80 and 90 phones.
  - Messages: Fixed bug with restoring messages from Deleted Items folder for Nokia Series 80 and 90 phones.
  - Messages: Fixed bug with deleting messages from Nokia Series 80 and 90 phones.

Changes in version 2.7:
=======================
  - Added support for Nokia 6681.
  - Added support for Nokia DKU-2 cable. We recommend this connection type as the fastest one (several times faster than Bluetooth).
  - Mobile Action and Blue Soleil Bluetooth drivers support.
  - Bluetooth connection speed is significantly improved.
  - Options, Connection: Now only installed Bluetooth drivers are displayed. The current Oxygen Phone Manager version supports the following Bluetooth drivers: Microsoft Windows XP with Service Pack 2 built-in Bluetooth, Widcomm (or Broadcom), Extended Systems, AVM (BlueFritz), Blue Soleil, Mobile Action.
  - Options, Common: Added "Expand phone node when phone is connected" option. Default value is ON.
  - Options: Added "Antivirus program to check downloaded phone information for viruses" option.
  - New item added to Phone menu - "Check phone data with Antivirus...". If Antivirus program is specified in Options, runs this program with one parameter - phone data folder.
  - Options, Phonebook import and export: CSV delimiter now can be customized.
  - Phone Information: Connection type information added to the header panel.
  - Phone Information: Displaying current mobile network name.
  - Displaying current phone IMEI and mobile network name in status line.
  - Phonebook: Added bookmarks panel for fast contacts browsing. Contains first characters of all displayed contacts. First empty bookmark jumps to the first displayed contact.
  - Gallery, Images: Added "Set as wallpaper" popup menu item. Sets the current selected picture as a wallpaper.
  - Gallery: Images thumbnails caching. It significantly improves Images list showing speed.
  - Gallery: Double-click on Image preview panel opens full screen window with an image.
  - Gallery: Added wait window for files transfer operation in tree view mode.
  - Gallery: Files transfer progress can be interrupted by Escape.
  - Gallery: Navigation improved.
  - Gallery: Showing hint image time increased to 1 minute.
  - Gallery: Saving and restoring columns width in tree view mode.
  - Messages: Added support for IMAP messages for Nokia Series 80 and 90 models.
  - Messages: Added custom folders support for Nokia Series 80 and 90 models.
  - Messages: Setting/removing an Unread flag is now prohibited for SMTP, POP3, IMAP4 e-mail messages.
  - Messages: Reading new messages procedure improved.
  - Languages selection submenu now also shows localized language names.
  - Click on "Unregistered" panel in status bar shows "Register phone" window, if your license still allows adding new phones.
  - Improved connection status information processing.
  - Added progress window when switching interface language.
  - Options, Common: "Immediate read/write data" option was removed as not used.
  - Fixed bug in "Remove phone" procedure: Directory with phone data was not removed if there was files having empty names (e.g. gile named ".jpg").
  - Phonebook: Fixed several bugs in vCard files import and export.
  - Phonebook: Fixed several bugs with import from CSV files.
  - Phonebook: Fixed bug with showing Birthday Center if some contact has a birthday at 29 February.
  - Phone Information: Fixed error when loading incorrect file as a phone picture.
  - Messaging: Fixed bug with setting focus to first message after linking/unlinking messages.
  - Messages: Fixed bug with 125% fonts in select recipient window.
  - Messages: When saving messages to file the carriage return symbol (#8233) is replaced by space now.
  - Messages: Fixed bug with phone disconnect when reading e-mail messages.
  - Messages: Now after undelete selected messages operation the focus is moved to previous message (instead of the first one).
  - Messages: Fixed bug with renaming system phone folders (e.g. "c:\nokia").
  - Gallery: Fixed bug with overlapping labels in Section information, tree view mode.
  - Gallery: Fixed bug with removing all files from folder.
  - Fixed AV bug when phones are locked with a password and "Expand phone node when phone is connected" option is ON.
  - Fixed AV bug occured in some cases when exiting the program after sending phone registration request.

Changes in version 2.6:
=======================
  - Added support for Nokia 6680.
  - Added support for Nokia 7710.
  - Added support for Nokia 3230.
  - Improved virtual port search for Microsoft and Widcomm Bluetooth drivers.
  - Options: Manual Bluetooth COM port setting removed to simplify connection setup. Now you only need to select the Bluetooth driver you want to use.
  - Options: Now only installed Bluetooth drivers are enabled for selection.
  - Options: If specific Bluetooth driver is installed but have no virtual COM ports it's enabled for selection but draws as disabled.
  - Improved Bluetooth connection error processing.
  - Phone Information: Added ability to load phone images from file and from Oxygen Phone Manager web site.
  - Phonebook: Now import from vCard files (*.vcf) can import several contacts from one vCard file. This feature can be useful for Palm owners to transfer contacts from Palm to phone.
  - Phonebook: Added support for Nickname, UserID, WebCall and VideoCall fields.
  - Phonebook: Fixed bug in speed dial writing.
  - VCard: Big picture field is now enabled for all Series 60 models. We have been asked about it because this field is supported by SymbianWare Full Screen Caller for Nokia Series 60.
  - VCard: Added support for Nickname, UserID, WebCall and VideoCall fields.
  - VCard: All fields are allowed for input, but the fields not supported by current phone model draw with color specified for "Items not stored in phone" in Options.
  - Main menu: Added "Languages" -> "Download additional languages..." menu item.
  - Added ability to cancel file upload.
  - Phone images library is now excluded from installation package to reduce its size. You can either load images when needed using "Download picture" link in Phone Information window, or download and install Oxygen Phone Manager images library available at our site.
  - Fixed bug with "Monitor program found on your computer" on some Windows 98 machines.
  - Phonebook: When sorting by Name column, Prefix and Suffix fields are ignored.
  - Phonebook: Fixed bug with Prefix and Suffix fields handling for Nokia 9500/9300.
  - Messaging: Added ability to select SMS Center when creating new message or replying/forwarding.
  - Splash window: Fixed bug with displaying international symbols.
  - Gallery: Bug fixed: Files information in main Gallery window was not updated after reading all Gallery files.
  - Gallery: Current extension is always preserved when renaming file (e.g. if you renamed "image.gif" to "newimage.bmp", the new file will be "newimage.bmp.gif").
  - Gallery: Showing system "Open with..." dialog when trying to open file having no associated program.
  - Gallery: Now you can cancel files write and delete process by pressing Esc.
  - Gallery: Now you can drag&drop files between folders via Phone Explorer(tm).
  - Gallery: Expanded/collapsed state now preserved for all nodes in Phone Explorer(tm) after reading, adding or deleting Gallery folders.
  - Messaging: Added export messages feature to HTML, SYLK, DIFF, RTF, XML, DBF etc.

Changes in version 2.5:
=======================
  - Added support for Nokia 9500.
  - Added support for Nokia 9300.
  - Added support for Nokia 6620.
  - Added support for Motorola A925.
  - New OxyAgent version for Nokia Series 80 and Nokia Series 90 platforms.
  - New section - "Gallery". Replaces old "Images" and "Melodies" section. Also includes "Videos" section.
  - Added support for Bluetooth connection via Microsoft Windows XP Service pack 2 native Bluetooth drivers. See Connection Options.
  - Added support for Bluetooth connection via Extended Systems and AVM (BlueFritz) Bluetooth drivers. See Connection Options.
  - Bluetooth connection setup procedure simplified: now it's unnecessary to choose Bluetooth COM port, you only need to select Bluetooth driver to use.
  - Phone Information window now shows all virtual phone drives information (drive letter, label, size, free space).
  - Phonebook: Added "Create new caller group" feature.
  - Phonebook: Added ability to edit caller group parameters (please note that setting the ringing tone for caller group actually means setting this ringing tone for all contacts of this group).
  - Phone Explorer(tm): Added popup menu to manage caller groups.
  - Fixed serious bug in Bluetooth connection with UIQ phones (Sony Ericsson, Motorola, BenQ).
  - OxyAgent now closes automatically when exiting from Oxygen Phone Manager (except the cases when connection established via Widcomm drivers).
  - VCard: Now you can set default numbers right in VCard window using popup menu.
  - Phonebook: Now personal contact picture doesn't stretch to cell if cell's size is bigger than picture's one.
  - Phonebook: After pasting contacts from clipboard they become selected. The last pasted contact becomes focused.
  - Phonebook: WWW fields now ignored when searching for duplicate phone numbers.
  - Phonebook: Hiding Birthday column if the current phone does not support "Birthday" field (e.g. Sony Ericsson phones).
  - Phonebook: Export to all file formats now creates three Name fields: First Name, Middle Name and Second Name.
  - Phonebook: Added ability to separately import First Name, Middle Name and Second Name fields from CSV file.
  - Splash window now shows loading progress.
  - Selected interface language now applies right on the program start, when showing Splash window.
  - Messaging: Select recipients window: When selecting message recipients default SMS numbers go first and are highlighted with bold.
  - Messaging: Select recipients window: All group numbers now can be added by double click on group name.
  - Messaging: Added ability to move "disk" messages between folders.
  - Messaging: New messages reading procedure improved.
  - Messaging: Text format is ignored now when pasting text with Ctrl+V into message edit window.
  - Messaging: Displaying unread messages information in window header.
  - Messaging: Displaying sender (or recipient) photo for contacts having personal contact photo.
  - Messaging: "Read" button now reads only new messages (those ones which was not read during previous program session).
  - Messaging: Small interface improvements.
  - Phone Explorer(tm) now draws contents faster.
  - Now Oxygen Phone Manager uninstaller removes all language files and clears program registry entry.
  - Phonebook bug fixed: Ctrl+A shortcut marked all contacts as selected leaving out of account current filters (caller group, disk/phone contacts etc).
  - Fixed bug: When connecting or disconnecting a phone, "My phones" window was not updated automatically.

Changes in version 2.4:
=======================
  1. Added support for Nokia 6630.
  2. Added support for Vodafone X701 and Vodafone 702NK.
  3. Added support for Sendo X.
  4. Added support for Panasonic X700.
  5. Added support for Motorola A1000.
  6. Added support for BenQ P30.
  7. New option for phonebook reading: when "Fast phonebook reading" option is chosen the program skips unchanged contacts when reading the phonebook.
  8. Phonebook: Added "Speed dials" management center to view and set speed dials easily. To set the speed dial just drag$drop phone number to it. You also can drag&drop numbers between speed dials.
  9. VCard: Added ability to play the selected ringtone using external player (the default one for the specified file type).
  10. Phonebook: Added "Web call" column for Motorola A1000.
  11. Phonebook import and export: Microsoft Outlook 2003 support added (including contact photos).
  12. Phonebook: Added ability to set speed dial "1" for UIQ models (Sony Ericsson, Motorola, BenQ).
  13. Images: Added incremental search feature (like in Phonebook). Now you can search the image just typing its name symbol by symbol.
  14. Messaging: Now you can open several View, Reply and Forward windows simultaneously.
  15. Messaging: Message header panel now resized automatically to fit their contents.
  16. Messaging: "Select recipients" window redesigned. Now it supports "Favourites" and "Caller groups" lists.
  17. Messaging: Added new "Read" menu item - "Read new messages info". Reads only the messages that were not read by the program previously. Using this menu item significantly saves the time, because usually you do not need to reread all phone messages.
  18. Messaging: Added ability to "Link up" messages from the same recipient. This feature is useful when the incoming message is so big so it's splitted into several parts. Linking up these parts will give you one message as it was sent. See "Link up" and "Unlink" items in the popup menu.
  19. Messaging: Added ability to read beamed message attach by double click on the message.
  20. Messaging: Automatically mark message as read after opening, forwarding or replying to it.
  21. Messaging: Saving messages to file speed significantly improved.
  22. Messaging: Now you can copy to clipboard message header information (From, Date, Details, etc.) in message view window.
  23. Messaging, message view window: Added Reply, Forward, Save, Delete and Move.
  24. Messaging: If message starts with the same texts as in "Description" field, full message text is displayed in messages list.
  25. Messaging: Added support for Home and End keys.
  26. Options, Messaging: Added new options: "Save messages in Drafts as unread" and "Save messages in Outbox as unread".
  27. Options, Messaging: Added new option: "Set focus on new incoming message".
  28. Options, Messaging: Added new option:"Show total messages in Phone Explorer"
  29. XMF ringtone files are shown in ringtone lists (you need to have an external player in order to be able to play these files).
  30. Improved compatilibility with Mozilla Firefox. Now the default Internet browser is used when opening all Web pages.
  31. Messaging: Fixed bug with clearing message recipients list when opening "Select recipients" window twice or more.
  32. Messaging: Fixed bug with displaying attach for the beamed message received online.
  33. Images: Fixed occasional AV bug when Images painting.
  34. Images: Fixed bug with Images renaming and writing to phone.
  35. VCard: Fixed bug with displaying empty Birthday date as 31.12.1899 at the Summary page.
  36. Phonebook: Fixed occasional AV bug when deleting selected contacts.
  37. Some interface improvements.
  38. Calendar: Fixed bug with OxyAgent crash when writing Anniversary event to phone.

Changes in version 2.3:
=======================
  1. Added support for Nokia 6260.
  2. Added support for Nokia 6670.
  3. Added support for Sony Ericsson P910i.
  4. Added preliminary support for Nokia 6630.
  5. "Check for update" function now can redirect the registered customer to his/her personal download page. Note that you should request new registration key to use this feature.
  6. Registered version: When connecting new phone the program automatically opens "Register/Unregister phones" dialog and suggests this phone to be registered.
  7. Improved data exchange error checking.
  8. Added "Read all phone data" feature. See the "Phone" menu.
  9. Calendar: Added storage filter feature in "Events List" window. See the Filter button in status bar.
  10. Calendar: Added search for event text capability. Use the toolbar "Find" button or Ctrl+F shortcut.
  11. Messaging: Phone number label column added to Select Recipients window.
  12. Messaging: Significant improvements in messages sending and receiving.
  13. Messaging: Now Oxygen Phone Manager doesn't wait for message being sent. All outgoing messages now fall into "Outbox" folder, and right after that you can continue working with the program. Sent messages are automatically moved to "Sent" folder.
  14. Messaging: Double click on message now opens separate message view (or edit) window.
  15. Messaging: Reading messages now can be interrupted by pressing Escape.
  16. MCC/MNC codes are updated.
  17. Phonebook: Fixed AV bug when reading phonebook when Birthday Center is displayed.
  18. Phonebook: Fixed bug with updating Birthday Center after drag'n'drop Birthday from one contact to another.
  19. Calendar: Fixed bug with saving "Show Photo" and "Show field labels" options.
  20. Calendar: Fixed bug with drag'n'drop birthdays from Nokia to Sony Ericsson phones.
  21. Calendar: Fixed bug with duplicating deleted events.
  22. Messaging: Fixed bug with reading "Inbox" folder name from phone.
  23. Some interface improvements.

Changes in version 2.2.1:
========================
   1. Added support for European version of Nokia N-Gage QD.
   2. Added preliminary support for Nokia 6260.
   3. Bluetooth connection now works with SonyEricsson models also (stability may depend on specific device and drivers).
   4. Slovak language added.
   5. Messaging: Drag'n'drop messages between folders.
   6. Phone Explorer(tm): Phones list now sorted by Alias.
   7. My Phones window: Phones list now sorted by Alias.
   8. Auto-sizing of status bars to fit their contents.
   9. Program exit confirmation now only shows if there were unsaved changes.
   10. Messaging: Added "Save" button with drop-down menu.
   11. Messaging: Displaying message text length (after message size).
   12. Messaging: Added unsaved changes confirmation when trying to close edit message window.
   13. Low-level changes in Messages management. It's required to re-read messages from phone for correct work.
   14. VCard bug fixed: After deletion of Note field contact was not marked as changed.
   15. Phonebook: Fixed default numbers painting bug when "Show field labels" option is enabled.
   16. Phonebook: Fixed serious bug with adding/editing phone numbers.
   17. Phonebook: Fixed bug with updating information in status line after applying storage filter (see "Filter" button in the left of status line).
   18. Phonebook: Fixed bug with copying and pasting contact. 
   19. Phonebook: Fixed AV bug when switching from/to Oxygen Phone Manager while reading phonebook.
   20. Fixed bug in saving phonebook to disk after writing it to the phone.
   21. Fixed bug in export phonebook to Microsoft Outlook (error message "FirstName field not supported").
   22. Fixed bug with creating new message folder in a phone.

Changes in version 2.2:
=======================
   1. Nokia 7610 support.
   2. Nokia N-Gage QD support.
   3. Messaging section now works for Sony Ericsson P800 and P900.
   4. Profiles section added. Current version supports Nokia 3600, 3620, 3650, 3660, 7650, N-Gage, N-Gage QD and Siemens SX1.
   5. Bluetooth connection improved.
   6. Messaging: "Find Message" window added. 
   7. Phonebook: New item in popup menu for General and Mobile phone numbers - "Schedule call reminder".
   8. Phonebook: New item in popup menu for Birthday field - "Schedule birthday reminder".
   9. Phonebook: Added "Import from vCard file(s)" feature. See "Import" menu.
   10. Phonebook: Added "Export to vCard file(s)" feature. See "Export" menu.
   11. Phonebook: Added "Import from CSV file" feature. See "Import" menu.
   12. Phonebook: Added "Export to text file (fixed column size)" feature. See "Export" menu.
   13. Phonebook: "Pager" item added to menu "Number" -> "Change type to".
   14. Phonebook: Sorting contacts algorithm is corrected. Now contacts are sorted in compliance with current system locale.
   15. Messaging: Showing the size of attached files for Sony Ericsson models.
   16. Messaging: Added ability to copy pictures from BIO messages (Picture message, Operator logo) to Images section.
   17. Messaging: Added ability to edit messages in "Drafts" folder.
   18. Options, Calendar: Added "Event details background color" option.
   19. Phonebook: "Write" button in now enabled only if there were any changes in phonebook.
   20. Phonebook: When exporting contacts to XML file the XML content encoding is set to the active system codepage.
   21. VCard: Cancelling edit changes when leaving the number currently being edited.
   22. Images: "Write" button in now enabled only if there were any changes.
   23. Messaging: Contacts in "Select recipients" window now displayed in according to contact's full name format.
   23. Phonebook: Fixed bug with using wrong fields delimiter for Note and Address fields when exporting contacts to file formats.
   24. Phonebook bug fixed: Combined addresses were not exported to file formats.
   25. Phonebook: Fixed small interface bug when exporting contacts to Microsoft Outlook.
   26. Fixed bug with disappearing progress form after program was minimized and then restored.
   27. Messaging: Fixed infrequent bug with deleting unread message.
   28. Messaging: Fixed bug with cutting time from message date/time when exporting to CSV and XML formats.
   29. Messaging: Fixed bug with displaying BIO messages having no text.
   30. Messaging: Fixed infrequent "List index out of bounds" bug when sending message.
   31. Other small bugfixes and improvements.

Changes in 2.1.0.1 update:
==========================
   1. Several bugs fixed.

Changes in version 2.1:
=======================
   1. Nokia 3620 support.
   2. Siemens SX1 support.
   3. Sony Ericsson P900 support.
   4. Nokia 7700 preliminary support.
   5. "To-Do List" section added. Allows you to manage your tasks list and synchronize it with Microsoft Outlook.
   6. Calendar: Write to phone ability added.
   7. This version requires new registration key ("opm.key" file). Please obtain the new registration key at the registered customers page.
   8. Phone Information: Displaying phone date/time with ability to synchronize it with the PC's current date/time.
   9. Options, Phonebook: Added "Full address format" option allowing you to manually set address view as you prefer.
  10. Phonebook: Auxiliary characters " ", "-", "(" and ")" now allowed in phone numbers.
  11. Phonebook: "Search for duplicate numbers" function now takes into the account the following data only: General phones, Mobile phones, Faxes, Pagers, E-mail addresses, Web pages and Notes.
  12. Phonebook: Automatically stretching contact photos and recalculating row heights when changing "Picture" column width.
  13. Melodies: Audio files (*.au) support.
  14. Melodies: "Select..." ("All melodies", "Read melodies", "Unread melodies") menu added to popup menu.
  15. Melodies: Added reading Melodies information progress bar.
  16. Messaging: Added ability to copy pictures to "Images" section.
  17. Messaging: Added ability to copy melodies to "Melodies and Sounds" section.
  18. Messaging: Added "Reply" and "Forward" buttons and popup menu items.
  19. Messaging, Message Editor window: Added "Cut", "Copy", "Paste", "Undo" and "Redo" buttons.
  20. Messaging, Message Editor window: Added context popup menu.
  21. Messaging: Added support for AWB, AVI, MP3, 3GP files. Players associated with these extensions are called automatically.
  22. Messaging: Added "Save to file(s)" feature. All or selected messages can be saved to single file as well as separate file can be created for every message. See "Save selected messages to" and "Save All messages to" items in popup menu.
  23. Messaging, Message Editor window: Removing illegal characters in the "Recipients" field automatically.
  24. Messaging: "Add to Contacts" ("Create new" and "Update existing") menu added to popup menu. Shows VCard window allowing you to enter or edit contact information.
  25. Messaging: Added "State" column. Displays current message state ("Wait", "Sent", "Suspended" etc).
  26. Messaging: Added ability to edit messages in "Drafts" folder.
  27. Messaging: Now you can set columns visibility with "Column settings..." item in popup menu.
  28. Messaging: Added ability to resend messages from "Outbox" and "Drafts" folders.
  29. Messaging: If "Details" and "Description" fields are empty, they are filled automatically when saving message.
  30. Messaging: Added CSV and Microsoft Excel export feature.
  31. Messaging: Hiding "From" column for "Outbox" and "Sent" folders.
  32. Options, Messaging: New option - "Mark message read after displaying for N second(s)".
  33. Calendar: Added Event editors with extended recurrence support.
  34. Calendar: Copying/moving events to other phones feature added.
  35. Calendar: Added events drag-and-drop support between different phones.
  36. Calendar: Saving to file all or selected events.
  37. Calendar: Loading events from file.
  38. Calendar: Merging current Calendar events with events stored in file.
  39. Calendar: Added "Import Birthdays from Phonebook" feature. Available for Nokia and Siemens phones only.
  40. Options, Calendar: New option - "Load from file function behaviour" with two possible values: "Merge existing events with events being loaded from file" and "Purge all existing events and then load events from file".
  41. Options, Calendar: Added options to customize time format "Hour type" and week start day ("Week starts on").  "Week starts on" option affects Birthday Center in Phonebook too.
  42. License expiration date is now displayed in main window's caption.
  43. Only changed data now saved when exiting the program. It significantly speeds up closing the program.
  44. VCard: Added confirmation dialog when trying to close VCard window with changed contact data.
  45. VCard window is now automatically centered on screen.
  46. The link to "On-line support forum" is added to the Help menu.
  47. VCard: Fixed bug with pasting Birthday date from clipboard.
  48. Phonebook: Fixed bug with saving "Picture" column width.
  49. Bug fixed: "Minimize to system tray" option didn't work.
  50. Melodies: Fixed bug with opening files locked by another applications.
  51. Messaging: Fixed bug with displaying alias or e-mail address.
  52. Messaging: Fixed bug with displaying the message that is just received when the current folder is "Inbox".
  53. Messaging: Fixed bug with assuming space character as recipients separator.
  54. Messaging: Fixed bug with deleting message from "Mailbox" folder.
  55. Messaging: Fixed bug with updating message information after forced re-reading of message.
  56. Fixed problem with running Oxygen Phone Manager from several 3rd party shells like ButtonBar, Total Commander etc.
  57. Many small improvements and bugfixes.
  58. Some stability imrpovements.

Changes in version 2.0.4:
=========================
   1. Nokia 3600 and Nokia 3660 support.
   2. "Calendar" section added. This version allows you to read and display Calendar events only. Edit and write functionality will be available in further versions.
   3. Added German, Russian and Hungarian program interface translations.
   4. This version requires new registration key. Please request the new key from the registered customers page.
   5. Phonebook: Added support for contact default Call, SMS, MMS and E-mail numbers (see popup menu). Default Call number is underlined in Phonebook view.
   6. Options window: New Phonebook option - "Mark default Call, SMS, MMS and E-mail numbers as bold".
   7. Options window: Only available ports are displayed in choosing COM port for connection.
   8. Phonebook: Contacts database is now optimized automatically during writing to phone.
   9. Phonebook: If phone is connected, contacts database size is displayed right after switching to Phonebook view, without reading whole phonebook from phone.
  10. Phonebook: "Clear voice tags" item added to popup menu.  This item only clears links to voice tags but doesn't remove the very records.
  11. Phonebook: "Add/Remove prefix" item added to popup menu. Allows adding or removing the pointed out prefix in chosen numbers. If the phone number field is empty after removing the prefix, the number is to be deleted. If the number being modified starts with '+' or already has the prefix at the beginning, any changes are not efficient here.
  12. Phonebook: Popup menu is redesigned for more comfortable navigation.
  13. Phonebook: Phones' model names added to "Copy to" and "Move to" lists.
  14. Phonebook: Fixed bug with reading contacts from *.PB2 files generated by old versions of Oxygen Phone Manager II for Nokia phones.
  15. Phonebook: If phone number had standard label for its type, changing phone number type to another causes replacement of its label to the default label for the new type.
  16. Phonebook: Significant improvements in contacts merge procedure.
  17. VCard: Melodies and Big pictures list are sorted now.
  18. Messaging: Added folder properties window (see "Properties" item in popup menu of message folders view).
  19. Messaging: Filling Size field for the newly created message.
  20. Messaging: "Read current message" item added to popup menu. Reads all the attached files and refreshes message properties.
  21. Messaging: Added progress bar when deleting messages from phone (from "Deleted" folder).
  22. Messaging: "Delete" and "Move to folder" itemd added to popup menu.
  23. Messaging: "Select" submenu added to popup menu. Allows you to select "Read", "Unread" or "All messages".
  24. Messaging: Unread messages information is displayed in Phone Explorer (tm) for every folder. If there are more than one unread message, folder name marks with bold.
  25. Messaging: Added progress bar when moving messages between folders.
  26. Messaging: If unread message is selected, it becomes read after 5 seconds.
  27. Messaging: Added html pages viewer for messages of text/html type.
  28. Messaging: New incoming messages are displayed automatically now.
  29. Messaging: Status line now displays information about newly received messages.
  30. Messaging: Checking "Sent" folder to notifiy about sent messages.
  31. Messaging: Added windows with animations for writing message to phone and sending message.
  32. Messaging: Now messages count for "My folders" folder does not include messages in subfolders.
  33. Messaging: Reading messages information window now displays total messages count and the number of currently reading message for the specified folder.
  34. Messaging: Serious bug fixed: Memory leaks in OxyAgent when reading big messages folders. 
  35. Messaging: Fixed bug with keyboard navigation between message folders.
  36. Messaging: Fixed bug with ignoring filter setting after re-reading messages from phone (all messages were displayed).
  37. Images: "E-mail selected image(s)" item added to popup menu.
  38. Images: Added Ctrl+R hotkey to read selected images and Ctrl+E to sent selected images by e-mail.
  39. Images: Phones' model names added to "Copy to" and "Move to" lists.
  40. Images: Added ability to sort images by storage (Phone memory, Flash card, Disk).
  41. Images: Reading images from phone builds images folder tree under "Images" section in Phone explorer(tm). In this version it can be used only to navigate and filter images by folders. Moving images between folders as well as creating/renaming/deleting folders will be available in the next versions.
  42. Images: Fixed Access Violation bug when deleting images with Shift+Del.
  43. Melodies: Reading melodies from phone builds melodies folder tree under "Melodies" section in Phone explorer(tm). In this version it can be used only to navigate and filter melodies by folders. Moving melodies between folders as well as creating/renaming/deleting folders will be available in the next versions.
  44. Melodies: Added ability to sort melodies by storage (Phone memory, Flash card, Disk).
  45. Melodies: Melody types filter (Mono, Polyphonic, Voice recorder) moved to popup menu.
  46. Melodies: Phones' model names added to "Copy to" and "Move to" lists.
  47. Melodies: Added Ctrl+R hotkey to read selected melodies.

Changes in 2.0.3 release:
=========================
  1. Nokia 6600 support added.
  2. Nokia N-Gage support added.
  3. Preliminary support for Sony Ericsson P900.
  4. "Messages" section added (except Sony Ericsson models). This section allows you to read Inbox, Outbox, Drafts, Sent, My folders, Mailbox folders content, display basic message types - SMS, MMS, E-mail, Beamed (received via BT or IrDA), BIO (Picture message, Operator Logo, Ringing tone), read and display file attaches for MMS, E-mail and Beamed messages. It also can create and delete custom message folders, delete messages from your phone and move them between folders. You also will be able to create and send both plain and Unicode SMS messages to individual recipients as well as to contact groups. 
  5. Program compatibility with some Win98 and WinME systems is improved.
  6. Phonebook: Added ability to save to file/load from file Caller groups data. Can be useful when transferring phonebook from one phone to another. You should first transfer caller groups, and then contacts.
  7. Phonebook: Now you can load all contacts information (including personal contact images) from the phonebook files (*.PB2) saved by Oxygen Phone Manager II for Nokia phones.
  8. Melodies: Reading dictaphone records from Sony Ericsson P800.
  9. Melodies: Added support for *.mp3 and *.awb files.
  10. Melodies: Reading current melody by pressing Space key.
  11. Melodies: Playing current file on double-click.
  12. Phone explorer(tm), Melodies: Added "Mono", "Polyphonic" and "Dictaphone" subnodes, it allows you to filter Melodies by type.
  13. Phonebook: "Filter contacts by location" button is added to status bar.
  14. Phone explorer(tm), Phonebook: Caller group names are sorted now.
  15. Phonebook: Added the option to put the whole contact name to FirstName field when loading contacts from *.PB2 file (Oxygen Phone Manager II for Nokia phones phonebook file format).
  16. Phonebook: Pressing Shift+Del kills selected contacts (just as Alt+Del).
  17. Phonebook: Disabling all the interface while packing contacts database to prevent accidental errors.
  18. Possible bug in "Send SMS" function is fixed.
  19. Phonebook: Fixed bug with reading from disk when phonebook has only one contact.
  20. Phonebook: Fixed bug with WAB file import.
  21. Phonebook: Fixed bug with importing contacts from Microsoft Outlook.
  22. Phonebook: Fixed "List index out of bounds" bug sometimes happened when displaying contact image as hint.
  23. Phonebook: Fixed bug with recalculating node height after drag'n'drop phone number. 
  24. Phonebook: Fixed small bug with incorrect sorting on "Storage" column.
  25. VCard: Fixed small bug with updating Summary page after pressing Apply button.
  26. VCard: Fixed unicode text and labels display problem.
  27. VCard: Maximum picture size now is 15200 bytes.
  28. Phonebook: Writing big pictures via Bluetooth bug fixed.

Changes in 2.0.2 release:
=========================
  1. Sony Ericsson P800 mobile phone support added.
  2. "Send SMS" window added (see "SMS" -> "Send SMS" menu item).
  3. "Birthday Center" in Phonebook window. Shows birthdays of all your contacts and allows you not to miss the upcoming birthday.
  4. New menu item under "Help" menu - "Request for resend the registration key". Requests OPM2 Robot to resend your registration key.
  5. New option: "Immediate reading and writing data if possible". Affects file-based sections (Images and Ringtones) and allows all operations to be performed on-the-fly. 
  6. Registration key file format changed. Please note, that now it differs from Oxygen Phone Manager II for Nokia phones. If you haven't received the new registration key for any reason, please use "Request for resend the registration key" function.
  7. Now all registered users having their licence expired are eligible to register new phones instead of old ones for working with latest obtained version of Oxygen Phone Manager II via Oxygen Registration Robot without paying any fee. In other words, licence expiration no more affects procedure of moving from one phone to another while new program versions won't be available as before. Please note that registration/unregistration of the phones for such users are avaialable only through Oxygen Registration Robot. All e-mails to our support service with requests to add, change or delete a phone registration will be deleted without processing.
  8. Phonebook: Added optional fixed column containing numbers of phonebook entries. Can be switched off with "Show entry number column" checkbox in the Options window.
  9. Phonebook: Clicking on a entry number column header selects/deselects all visible contacts.
  10. Phonebook: Resorting phonebook after adding new contact.
  11. Phonebook: "Image" column size now can be changed from 50 to 300 pixels.
  12. VCard: Maximum length of "Combined address" fields now extended to 1000 symbols.
  13. VCard: Pressing "Enter" on phone's list causes either adding new entry (if the list is empty) or editing the current entry.
  14. VCard: Phones' header labels are "active" now. Clicking them brings up context popup menu.
  15. Images: "Add Image" button now has popup menu to select image(s) location (Phone memory/Flash card/Disk).
  16. NSL (Nokia Startup Logo) image files now can be loaded.
  17. Phonebook: Hiding "Duplicate numbers" window when opening VCard window to prevent errors.
  18. Disabling Phone Explorer(tm) while phone is being connected to prevent errors.
  19. Phonebook: Fixed bugs with Find and Replace.
  20. Phonebook: minor display bugs fixed.
  21. Phonebook: Fixed bug with cutting contact image displayed as hint.
  22. Phonebook: Clearing link to contact's ringtone and big picture when copying or moving contact to another mobile phone.
  23. Some stability improvements.
  

Changes in 2.0.1 release:
=========================
  1. Multilanguage support added. If you want to get free Family license of Oxygen Phone Manager II for Symbian OS phones, just be the first translator to your native language. Please contact us at support@opm-2.com for the details.
  2. Program now searches for Bluetooth serial port automatically when opening Options window (this feature currently available for Widcomm drivers only).
  3. Phonebook: drag-and-drop feature added. Now you can drag phone numbers and other phonebook fields between columns and even between different contacts.
  4. Phonebook: "Change modifier to..." item added to popup menu. Allows to change phone number modifier (General, Home, Office).
  5. Options, Phonebook section: New option - "Show combined addresses page in vCard edit window". If checked, combined "Addresses" page is displayed at VCard window.
  6. New window - "Add/Edit Note". Used to add or edit notes in VCard window.
  7. VCard window: When loading small contact image that exceeds size limit (12200 bytes), "Compress" button appears. It tries to stretch the image automatically so it could fit into 12200 bytes.
  8. Images: added support for many graphic formats. Now you can open BMP, RLE, DIB, GIF, JPEG, JPG, JPE, WMF, EMF, NOL, NGG, OTA, NLM, ICO, WIN, VST, VDA, TGA, ICB, TIFF, TIF, FAX, EPS, PCX, PCC, SCR, PNG, RLA, RPF, SGI, RGB, RGBA, BW, PSD, PDD, PPM, PGM, PBM, CEL, PIC, PCD, PCD, CUT, PSP.
  9. Images: Exported images have the same date/time as in phone.
  10. Melodies: Exported melodies have the same date/time as in phone.
  11. Reading Images and Melodies now works faster.
  12. Melodies: "Copy to phone" and "Move to phone" items in popup menu.
  13. Options: "Send e-mails directly" option removed. Now default MAPI client is always used to send Register/Unregister phones and FM Favourites messages.
  14. Some speed optimization in "Phone Information" window.
  15. Phonebook: fixed bug that allowed to delete "empty" phone numbers.
  16. Melodies: Fixed error when loading corrupted MIDI file.

Changes in Pre-release:
=======================
  1. Bluetooth connection is supported now.
  2. Options window added.
  3. "Melodies and Sounds" section added.
  4. Flash card support in Images and Melodies for Nokia 3650.
  5. Phone Information window now shows memory load for ROM, Phone memory and Flash card.
  6. Phonebook: Ctrl+C/V key now copies/pastes current cell only. To copy/paste whole contact use Shift+Ctrl+C/V.
  7. Images: Showing full image file name.
  8. Registered version of Oxygen Phone Manager for Symbian OS phones now uses the same "opm.key" file as Oxygen Phone Manager for Nokia phones.
  9. Registered version: "Register/Unregister phones" window added (see "Phone" menu).
  10. Phonebook: "Edit label..." item in popup menu. 
  11. Phonebook: ability to load and save *.pb2 files (OPM2 Phonebook files format). Now you can transfer your phonebook from Oxygen Phone Manager II for Nokia phones.
  12. Phonebook and VCard windows: support for "combined" address fields added.
  13. Images: Added "Save all images" popup menu item.
  14. Phonebook duplicate numbers: now Prefix, Suffix, Organization, Job Title, Ringtone and all Name fields are ignored.
  15. Phonebook duplicate numbers: saving and restoring window position and sizes.
  16. Phonebook: fixed multiple contact addresses displaying error.
  17. Images: some optimization when reading image files.
  18. Images: Image names now can be edited by pressing Enter.
  19. Images: Main font change was ignored. Fixed.
  20. Trial version restriction: when reading images/melodies from phone, only the first image/melody is read.

Changes in Beta 10:
===================
  1. New section - "Images browser". Complete solution for managing images in your phone.
  2. Phonebook: "Show field labels" button. If pressed, field labels are visible before phone numbers directly in Phonebook view.
  3. Phonebook: Export to WAB feature is added.
  4. Phonebook: New shortcut - Alt+F3 for "Find Next".
  5. VCard window: New contacts have "Phone memory" storage type by default.
  6. Phonebook: Added "Undelete selected contacts" toolbar button (also available via Ctrl+U shortcut).
  7. Phonebook: Deleted contacts and their pictures are greyed.
  8. Phonebook: Pack contacts database feature added (click on Contacts database size in Phonebook status bar).
  9. Phonebook: context menu (Undo, Copy, Cut, Paste etc) is available when editing data directly in Phonebook window.
  10. VCard window: displaying/setting contact big picture and ringing tone.
  11. Phonebook: ability to read list of images and ringtones from "Read" menu.
  12. VCard: loading default labels from phone when adding new contact.
  13. VCard: Pressing "Enter" key at First/Last/Middle names, Suffix, Prefix, Company or Job Title fields is now equal to pressing "Ok" button.
  14. Phonebook: All deleted contacts are shown under "Deleted items" node.
  15. Phonebook: Ability to sort phonebook by Location (Phone/Disk).
  16. Phonebook: Search for duplicate numbers: now fields of type Country, City and Region are ignored.
  17. Phonebook: Fixed error when phone numbers added in Phonebook view were not shown in phone.
  18. Phonebook: Fixed several bugs with Find/Replace.
  19. Phonebook: Fixed AV bug when pressing "Del" on phone number twice.
  20. Phonebook: Fixed finding text bug - contact names were ignored in search process.
  21. Phonebook: some displaying bugs fixed.

Changes in Beta 2:
==================
  1. Phonebook write capability. We strongly suggest you backup your phonebook with Nokia PC Suite before using this version!
  2. Phonebook: Check field length when editing and before writing to phone.
  3. Phonebook: Incorrect entries highlighted with red.
  4. Phonebook: Displaying incorrect entries summary in status bar.
  5. Optional suggestion to backup phone data with PC Suite when Oxygen Phone Manager starts.
  6. VCard: Showing picture size in bytes (panel under picture).
  7. VCard: Warning if picture is too big (maximum 8000 bytes allowed).
  8. VCard: Highlighting active phone numbers list view.
  9. Phonebook: When opening VCard window editing of current cell automatically cancelled.
  10. Phonebook: Writing phonebook warning if the phone wasn't read yet.
  11. Phonebook: Fixed bug with contact cell height calculation: General numbers were ignored.
  12. Internal improvements in phone search procedure.

Changes in Beta 1:
==================
  1. Phonebook: ability to define Full name format individually for each contact (see popup menu). Note that when selecting Full name format from popup menu it will affect all highlighted contacts.
  2. VCard: ability to define Full name format at the "Summary" page.
  3. Automatically compressing data stored on disk. This feature significantly reduces phonebook files size.
  4. Now your phones and their data can be protected with a password. "See Phone" -> "Phone access" menu. Note that if you forgot the password there is no way to "recover" your data. 
  5. Phonebook: "Company" and "Job title" fields now have a separate column - "Occupation". It should be useful if you want to sort your contacts by Company. 
  6. Phonebook: When sorting by "Occupation" field, contacts actually sorted by Company and contacts with the same Company sorted by Full name.
  7. Phonebook: Displaying contacts database size in the status bar.
  8. Fixed bug with access to default field labels.
  9. VCard: Note field editing by double-click.
  10. Fixed error in phonebook: it was impossible to click on Pager field and edit it using inplace editor.
  11. Phonebook: Fixed "Invalid variant type conversion" error with inplace editing an empty Birthday field.
  12. Phonebook: Fixed error in drawing multiple selected contacts.

Changes in Alpha 3:
===================
  1. Phonebook: inplace editing is allowed now.
  2. Phonebook: columns order is saved/restored now.
  3. Phonebook: Small changes in "Assign to caller group" popup menu to allow assign a contact to several caller groups.
  4. vCard: Reading default labels from phone.
  5. vCard: Big contact picture can be showed, saved to file and copied to clipboard from "Summary" page (see "Picture path").
  6. New window - Big contact picture viewer. Picture can be resized to its original dimensions by double-click on status bar.
  7. Copy to clipboard and save to file features in Big contact picture viewer's popup menu.
  8. Communication layer: Bug with reading long notes (USER 19 error in OxyAgent) fixed.
  9. Communication layer: Bug with reading phonebook containing more than 1000 contacts fixed.
  10. Communication layer: Bug with reading pictures fixed.
  11. Phonebook: Fixed "List index out of bounds" error.
  12. Fixed error in vCard window: "Changed" flag was not set after deleting phone numbers.

Changes in Alpha 2:
===================
  1. Connection is performed now via IrDA sockets instead of virtual IR serial port. 
  2. New window - "vCard ". Called from Phonebook window by doubleclick and allows to view/change detailed information about the contact.
  3. All contact data including Image and field labels can be edited with vCard window.
  4. vCard window is used to add new contact.
  5. Install.txt file is shown at every program start to describe how to install OxyAgent.SIS, to connect your phone in detail and report about found errors.
  6. Windows'98 and Windows ME are supported now.

